GNU bug report logs - #44059
28.0.50; Trash files cannot be deleted properly if delete-by-moving-to-trash is set

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; dated Sun, 18 Oct 2020 09:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 28 Oct 2020 11:42:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 28 07:42:55 2020
Received: from localhost ([127.0.0.1]:47512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kXjqx-0002lS-LF
	for submit <at> debbugs.gnu.org; Wed, 28 Oct 2020 07:42:55 -0400
Received: from static.rcdrun.com ([95.85.24.50]:59615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kXjqv-0002lK-PW
 for 44059 <at> debbugs.gnu.org; Wed, 28 Oct 2020 07:42:54 -0400
Received: from localhost ([::ffff:197.157.0.60])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002A0B3A.000000005F99593B.00006A65; Wed, 28 Oct 2020 11:42:51 +0000
Date: Wed, 28 Oct 2020 14:42:49 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
Message-ID: <X5lZOZRjb1EpWIVn@HIDDEN>
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN> <83lfg2p8os.fsf@HIDDEN>
 <X5bzSneWL0y3ILcw@HIDDEN> <83r1pkeprs.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83r1pkeprs.fsf@HIDDEN>
Organization: GNU.Support
User-Agent: Mutt/+ (1036f0e) (2020-10-18)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Eli Zaretskii <eliz@HIDDEN> [2020-10-26 22:44]: > > There
 is no big problem. If delete-by-moving-to-trash is set then > > Tramp says
 it was trashed, which is confusing. > > And this is yet another, [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.60 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

* Eli Zaretskii <eliz@HIDDEN> [2020-10-26 22:44]:
> > There is no big problem. If delete-by-moving-to-trash is set then
> > Tramp says it was trashed, which is confusing.
> 
> And this is yet another, almost unrelated, issue.
> 
> Can we please stay focused in each thread on the topic of that thread,
> and nothing more?

Actually exactly that was my intended original message for this
bug. That variable should not affect remote systems and Tramp should
not assume neither seek remote trash if that variable is set, it
should remain local.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 26 Oct 2020 20:07:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 16:07:51 2020
Received: from localhost ([127.0.0.1]:41483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kX8mV-0000Pm-Js
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 16:07:51 -0400
Received: from mout.gmx.net ([212.227.17.20]:54543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kX8mR-0000PK-Sm
 for 44059 <at> debbugs.gnu.org; Mon, 26 Oct 2020 16:07:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1603742830;
 bh=dWIUwhm+BiZNebkxQ2PpwlOH8iyUAwaWTyyGb3JYq90=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=N2MRZDqss1gIv4I4SnhNLTDqHjJFdmMcCKFIfetkN83e1iRMghReiljG5LvBDJVa+
 QJ921kNHRW9+DRCTjhg8nsitsttwbP0CODNfP1vr96ug176AUnETXzZc9ZThx4MzMM
 VV9WuRqDLRJttoAjcUY/yf1Nn+Ox9ftlqcKCwtBs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.54.197]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MAwbp-1khp4R3KjB-00BIXb; Mon, 26
 Oct 2020 21:07:10 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN> <83lfg2p8os.fsf@HIDDEN>
 <X5bzSneWL0y3ILcw@HIDDEN>
Date: Mon, 26 Oct 2020 21:07:09 +0100
In-Reply-To: <X5bzSneWL0y3ILcw@HIDDEN> (Jean Louis's message of
 "Mon, 26 Oct 2020 19:03:22 +0300")
Message-ID: <87zh48u4ya.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:4UHS5nm7YbGVZ8wQEzOLHW0LuuElsHVMB2FnT06LNS3BVE0anMM
 EYnhUEHDXQ0dWYciQpVJz0oXF4A9Z3+ArpozrvN2SmIhfyJ3UnMJpEh4o8lecFILlVOJ5Xa
 Pdz6fB+jUFDvOJwCMa0+qkTOLEDaNsPrq+kyNeM24i4CPC7zdlBXJ1fi44pELcruK7tAC/M
 TyhPncqjHVW4WHOu4Y6Tg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2eWORR1itF0=:J2px5xFs8sp6nRsidzgFJ4
 STSha5Z8zouu7hfMjZyErvE2Z09guT7AdNlwzzoogkPEXTD+UDMNMsXOrmjwWjYEOGsxkD1wR
 /KMnPkAf9uqSitLwHjqUt3RXt8X3TkgI8KW9rjLYvxumEk259k46iAFWmwyydAgsrtkwKf7em
 k0iVfHDoooiQ8leRszJSkcSEo+Vwdt5E4S1MFIGH4K9Pur6BU7KFAPTsWf7t+h0nj8oIc37mU
 qBCUN+7mGJHcj5t0VfhWz0GVvh7ihOCK3EmzIrSqKhMzC6MSK+//spKUQIlcrC6F5jeJ0nxTD
 k5k3s9XX8p6vO1dkiFgegE1AB9WP5/SbYOYVGjyrs0C5USEFgGGhBdU9y4KBlGCXB8RzYF2vd
 sfC2hf9Tu4CX3mu6dk5Rbu/rAY8n/DChEMTDrYXXnS7pooH6TP0BNIxH+ygwsmq1MQECCP25R
 tfE4cGWUi3jaTAkJntkIdRe/8L2GBSWQ4mhATbfjN/RFYUqgjggRB9mz5aAYrEcgCJpzVRoZP
 EBSSeYITf2SftTqk+BrXomphFWllvYO+9oXXo4Ml//GX6Q1+J4bThMXuX8fA5D3ZPLR13Gkmr
 N/uG57Mi8cHQ8AQyHdytNgo9neVqpS6rnsBT+6kcamtDAdb81WX0i6Zptlp1ZoaevvrlPwmV1
 QINfeV4xaV+HR86w9RzjKWFbDVUS9yybOknUqE/rnBQl3XsylXAhu54WABu+je+ZIG6kXHQxe
 Uh6ARzg9RomXQFn0ODuPYZzdFKeY6GK10LZIhw/+ly2A/ooi9BlAUhiEHeAI3BCRSF6UFyRcf
 38Ax0Nb31FEZQrV+FBzVUiRzKSqjc0Y2RSLsJQeJKxRqBd5evli4AA7xyJzlQRPivL65176Cc
 RyWy8NE6MsrJgCa0tUFQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jean Louis <bugs@HIDDEN> writes:

> There is no big problem. If delete-by-moving-to-trash is set then
> Tramp says it was trashed, which is confusing.

No. Tramp doesn't say this. This message comes from dired.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 26 Oct 2020 19:44:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 15:44:21 2020
Received: from localhost ([127.0.0.1]:41448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kX8Pk-0008H5-Sc
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 15:44:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kX8Pi-0008Gr-Mi
 for 44059 <at> debbugs.gnu.org; Mon, 26 Oct 2020 15:44:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33463)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kX8Pd-0003D7-Ca; Mon, 26 Oct 2020 15:44:13 -0400
Received: from [176.228.60.248] (port=2394 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kX8Pc-0008RA-QK; Mon, 26 Oct 2020 15:44:13 -0400
Date: Mon, 26 Oct 2020 21:44:07 +0200
Message-Id: <83r1pkeprs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X5bzSneWL0y3ILcw@HIDDEN> (message from Jean Louis
 on Mon, 26 Oct 2020 19:03:22 +0300)
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN>
 <83lfg2p8os.fsf@HIDDEN> <X5bzSneWL0y3ILcw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 26 Oct 2020 19:03:22 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 44059 <at> debbugs.gnu.org
> 
> * Eli Zaretskii <eliz@HIDDEN> [2020-10-19 17:55]:
> > > From: Lars Ingebrigtsen <larsi@HIDDEN>
> > > Date: Mon, 19 Oct 2020 11:54:30 +0200
> > > Cc: 44059 <at> debbugs.gnu.org
> > > 
> > > And... there doesn't seem to be any commands in Emacs for emptying the
> > > trash can?  Shouldn't there be?
> > 
> > AFAIU, doing this for freedesktop-style trash isn't trivial.
> 
> Actually it says that Emacs already does that:

It does?

> Hide Trash Directory: Value Menu Directory: /home/data1/protected/tmp/Trash/
>     State : SAVED and set.
>    Directory for ‘move-file-to-trash’ to move files and directories to. Hide
>    This directory is used only when the function ‘system-move-file-to-trash’
>    is not defined.
>    Relative paths are interpreted relative to ‘default-directory’.
>    If the value is nil, Emacs uses a freedesktop.org-style trashcan.
> 
> So if I set the variable: delete-by-moving-to-trash and not set
> trash-directory it will use freedeskstop style.

Look above: we were talking about _emptying_ the trashcan, not about
_using_ it to move deleted files there.

> There is no big problem. If delete-by-moving-to-trash is set then
> Tramp says it was trashed, which is confusing.

And this is yet another, almost unrelated, issue.

Can we please stay focused in each thread on the topic of that thread,
and nothing more?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 26 Oct 2020 19:29:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 15:29:50 2020
Received: from localhost ([127.0.0.1]:41435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kX8Bh-0007uf-Uc
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 15:29:50 -0400
Received: from static.rcdrun.com ([95.85.24.50]:55523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kX8Bg-0007uX-BV
 for 44059 <at> debbugs.gnu.org; Mon, 26 Oct 2020 15:29:48 -0400
Received: from localhost ([::ffff:197.157.0.60])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002A0B39.000000005F972392.000043AC; Mon, 26 Oct 2020 19:29:21 +0000
Date: Mon, 26 Oct 2020 19:03:22 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
Message-ID: <X5bzSneWL0y3ILcw@HIDDEN>
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN> <83lfg2p8os.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <83lfg2p8os.fsf@HIDDEN>
Organization: GNU.Support
User-Agent: Mutt/+ (1036f0e) (2020-10-18)
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Eli Zaretskii <eliz@HIDDEN> [2020-10-19 17:55]: > > From:
 Lars Ingebrigtsen <larsi@HIDDEN> > > Date: Mon, 19 Oct 2020 11:54:30 +0200
 > > Cc: 44059 <at> debbugs.gnu.org > > > > And... there doesn't see [...] 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.60 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Eli Zaretskii <eliz@HIDDEN> [2020-10-19 17:55]: > > From:
    Lars Ingebrigtsen <larsi@HIDDEN> > > Date: Mon, 19 Oct 2020 11:54:30 +0200
    > > Cc: 44059 <at> debbugs.gnu.org > > > > And... there doesn't see [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [197.157.0.60 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Eli Zaretskii <eliz@HIDDEN> [2020-10-19 17:55]:
> > From: Lars Ingebrigtsen <larsi@HIDDEN>
> > Date: Mon, 19 Oct 2020 11:54:30 +0200
> > Cc: 44059 <at> debbugs.gnu.org
> > 
> > And... there doesn't seem to be any commands in Emacs for emptying the
> > trash can?  Shouldn't there be?
> 
> AFAIU, doing this for freedesktop-style trash isn't trivial.

Actually it says that Emacs already does that:

Hide Trash Directory: Value Menu Directory: /home/data1/protected/tmp/Trash/
    State : SAVED and set.
   Directory for ‘move-file-to-trash’ to move files and directories to. Hide
   This directory is used only when the function ‘system-move-file-to-trash’
   is not defined.
   Relative paths are interpreted relative to ‘default-directory’.
   If the value is nil, Emacs uses a freedesktop.org-style trashcan.

So if I set the variable: delete-by-moving-to-trash and not set
trash-directory it will use freedeskstop style. I did not verify, I
just assume it.

There is no big problem. If delete-by-moving-to-trash is set then
Tramp says it was trashed, which is confusing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 19 Oct 2020 15:13:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 11:13:58 2020
Received: from localhost ([127.0.0.1]:42037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUWrG-0002L4-Om
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 11:13:58 -0400
Received: from mail-ed1-f49.google.com ([209.85.208.49]:44905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kUWrE-0002Kq-QT
 for 44059 <at> debbugs.gnu.org; Mon, 19 Oct 2020 11:13:57 -0400
Received: by mail-ed1-f49.google.com with SMTP id t20so10605481edr.11
 for <44059 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 08:13:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=BOgyE3Jd2Ivj1NRYBOgL6ddRnDak50MzzPyC6Lv1a4c=;
 b=QkxzX0okMc5GvUYnlIQsOLb+nmPYklsSMjXShC15zUHhFPNR9DMVydtj56liZbNrxk
 QA7zeByQJ6gmfEcshrKHQEtA9KUXfn4MNtDOvKdckfR/D6HgS6dr7Pr9E1/gLJK8e0D/
 frZ6bX8u4nvAKcaPl4ewVjPr3QHp/yVAUc2J+hYUxw4lbDWdFhHYLz5PLXwbN1k2W2Vw
 6/YtFOOFFmNoEJx8aXKLx5ahk+rcq89Fg/R3mTEfWUyz1ucAKZULtGqbumRojdRiQt8Q
 ADsTFjdN2R3HmaA9B4XpUrL0q+CiFx67500dpDOZZ/G6vRs+zlKMdT3VRdLujTDEUb0R
 m7bw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=BOgyE3Jd2Ivj1NRYBOgL6ddRnDak50MzzPyC6Lv1a4c=;
 b=FtpkSAAJ2Kh5Xg/lNyVZWPD5ZeLKAG+btzFO/3TQl+01UF3hQDgnXd5b+/Mz5Ubjvn
 8+1Z5P452PRm6TbsiakTJhpyFzRFX/Psb4SLOpY2o9asEx5plkHz6EfxYwyCix/sTpLd
 wqINE5SvbHZMz7YmojIPJd69sdDK1LpVFeGLEjy9Af2Xb0cRkc69t3sgs3B+2uLTfiit
 vXeyLF4X3omECge8bkOcMnHG6wdVGVDChWSFymnoziBKvzeMS0+HDCjeNfX+hXetn0JO
 N2NQI7vwfdiU2ITjeWFyVqWo+HTGSIh+gzOvo56qumGxwBQIuFfghDjWiTY3d/QpLO0l
 /QbQ==
X-Gm-Message-State: AOAM530nmwN21cF5L7DgsC/a7pLvnnda3lfZ6Z55k3J1BZ4pwKmL6c6x
 wueBvlpCySA6OW/syv2OsBF8ufnDo01S0hodrQY=
X-Google-Smtp-Source: ABdhPJwvPfgrNJ+R86E1bDsn9kt+cGfufMhJQq9YgAgcJ5pqAehdTRt8S8zAQBtnp3X7+4r6QEsL5FqR4BdgAuFdRjY=
X-Received: by 2002:a05:6402:3133:: with SMTP id
 dd19mr315177edb.100.1603120431039; 
 Mon, 19 Oct 2020 08:13:51 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 19 Oct 2020 15:13:50 +0000
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83lfg2p8os.fsf@HIDDEN>
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN> <83lfg2p8os.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 19 Oct 2020 15:13:50 +0000
Message-ID: <CADwFkmk0Gf-rnTnfatk4WbJ-1Y6ezZMr=hy6XA9pCugj8wJtyw@HIDDEN>
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> And... there doesn't seem to be any commands in Emacs for emptying the
>> trash can?  Shouldn't there be?
>
> AFAIU, doing this for freedesktop-style trash isn't trivial.

Isn't there some external command we could run?  From a quick look at my
system maybe "gio trash --empty"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 19 Oct 2020 14:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 10:55:00 2020
Received: from localhost ([127.0.0.1]:42018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUWYu-0001qc-7i
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 10:55:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kUWYs-0001qQ-W4
 for 44059 <at> debbugs.gnu.org; Mon, 19 Oct 2020 10:54:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35236)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kUWYn-0008T3-MF; Mon, 19 Oct 2020 10:54:53 -0400
Received: from [176.228.60.248] (port=1991 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kUWYm-0007z3-Gy; Mon, 19 Oct 2020 10:54:53 -0400
Date: Mon, 19 Oct 2020 17:54:59 +0300
Message-Id: <83lfg2p8os.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <874kmqlew9.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 19 Oct 2020 11:54:30 +0200)
Subject: Re: bug#44059: 28.0.50;
 Trash files cannot be deleted properly if delete-by-moving-to-trash
 is set
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 19 Oct 2020 11:54:30 +0200
> Cc: 44059 <at> debbugs.gnu.org
> 
> And... there doesn't seem to be any commands in Emacs for emptying the
> trash can?  Shouldn't there be?

AFAIU, doing this for freedesktop-style trash isn't trivial.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 19 Oct 2020 11:30:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 07:30:57 2020
Received: from localhost ([127.0.0.1]:40168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUTNR-000124-BQ
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 07:30:57 -0400
Received: from static.rcdrun.com ([95.85.24.50]:45417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kUTNP-0000zb-Hc
 for 44059 <at> debbugs.gnu.org; Mon, 19 Oct 2020 07:30:56 -0400
Received: from localhost ([::ffff:41.202.241.51])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002A0BF2.000000005F8D78ED.00004ECB; Mon, 19 Oct 2020 11:30:53 +0000
Date: Mon, 19 Oct 2020 14:30:50 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
Message-ID: <20201019113050.GA19325@HIDDEN>
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <874kmqlew9.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <874kmqlew9.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Lars Ingebrigtsen <larsi@HIDDEN> [2020-10-19 12:55]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > then I cannot delete files in Trash, you can see what is happening,
> > files may get a backup in Trash directory, but they do not get deleted,
> > I need to invoke shell command or disable delete-by-moving-to-trash
> 
> I'm not sure whether that's a malfeature or not -- if you've told Emacs
> that everything you delete should go to the trash can, then even
> deleting things in the trash can should perhaps go there?
> 
> Perhaps a new value to delete-by-moving-to-trash that would mean "delete
> if we're trying to delete in the trash can"?
> 
> And... there doesn't seem to be any commands in Emacs for emptying the
> trash can?  Shouldn't there be?

I think that is related to Dired and maybe some functions without
Dired.

I have solved the problem by adding in ~/tmp/Trash/.dir-locals.el

;;; Directory Local Variables
;;; For more information see (info "(emacs) Directory Variables")

((dired-mode . ((delete-by-moving-to-trash . nil))))

In my opinion, if the delete-by-moving-to-trash is true, that file
should be made there read-only and user should be informed in Info
manual or in the setting of that variable including setting of
variable for trash location.

Practical error case is that I was recording screen and deleting
various videos, screen recording was taking so much space, I lost all
space on hard disk. And I could not delete things inside of the
Trash. It was emergency already to do something, my solution was
above.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 19 Oct 2020 09:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 05:54:42 2020
Received: from localhost ([127.0.0.1]:40062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kURsI-0003jm-Bn
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 05:54:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kURsG-0003jW-Fe
 for 44059 <at> debbugs.gnu.org; Mon, 19 Oct 2020 05:54:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4TcI2BvE222PGB51hKURgEf0EjOnrJHHRwsAkLYiwbo=; b=CBoKb39lFimntP96vIC+CoYys3
 QClPvvV2lXV2BFQO2gZOiVPoIdUE0G6eHb+2AaiGBb8J/dBlefe7RwQ6x2TUo4AXI9NaU6i1yhPR5
 4FZyesLPlnzrHfThpRulwJq87QBIAPnEuQlhtH6a32MKM2xe+wRazkuzzFGbxil7j964=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kURs7-0006C5-B0; Mon, 19 Oct 2020 11:54:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if
 delete-by-moving-to-trash is set
References: <courier.000000005F8C0A81.00003912@HIDDEN>
X-Now-Playing: Elecktroids's _Elektroworld_: "Floatation"
Date: Mon, 19 Oct 2020 11:54:30 +0200
In-Reply-To: <courier.000000005F8C0A81.00003912@HIDDEN> (Jean
 Louis's message of "Sun, 18 Oct 2020 12:27:25 +0300")
Message-ID: <874kmqlew9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: > then I cannot delete
 files in Trash, you can see what is happening, > files may get a backup in
 Trash directory, but they do not get deleted, > I need to invoke shell command
 or disable delete-by-mo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44059
Cc: 44059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> then I cannot delete files in Trash, you can see what is happening,
> files may get a backup in Trash directory, but they do not get deleted,
> I need to invoke shell command or disable delete-by-moving-to-trash

I'm not sure whether that's a malfeature or not -- if you've told Emacs
that everything you delete should go to the trash can, then even
deleting things in the trash can should perhaps go there?

Perhaps a new value to delete-by-moving-to-trash that would mean "delete
if we're trying to delete in the trash can"?

And... there doesn't seem to be any commands in Emacs for emptying the
trash can?  Shouldn't there be?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at 44059 <at> debbugs.gnu.org:


Received: (at 44059) by debbugs.gnu.org; 18 Oct 2020 09:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 05:32:12 2020
Received: from localhost ([127.0.0.1]:36233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kU52y-0001nx-HK
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 05:32:12 -0400
Received: from static.rcdrun.com ([95.85.24.50]:34051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kU52x-0001nn-84
 for 44059 <at> debbugs.gnu.org; Sun, 18 Oct 2020 05:32:11 -0400
Received: from localhost ([::ffff:41.210.141.103])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002A0B42.000000005F8C0B99.0000397B; Sun, 18 Oct 2020 09:32:09 +0000
Date: Sun, 18 Oct 2020 12:32:02 +0300
From: Jean Louis <bugs@HIDDEN>
To: 44059 <at> debbugs.gnu.org
Subject: Re: bug#44059: Acknowledgement (28.0.50; Trash files cannot be
 deleted properly if delete-by-moving-to-trash is set)
Message-ID: <20201018093202.GH9782@HIDDEN>
References: <courier.000000005F8C0A81.00003912@HIDDEN>
 <handler.44059.B.16030132896481.ack <at> debbugs.gnu.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <handler.44059.B.16030132896481.ack <at> debbugs.gnu.org>
User-Agent: Mutt/1.14.0 (2020-05-02)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44059
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Maybe is better to set dir-locals-set-class-variables for the Trash
directory, so that delete-by-moving-to-trash is unset there, if that
is possible.

   Another method of specifying directory-local variables is to define a
group of variables/value pairs in a “directory class”, using the
‘dir-locals-set-class-variables’ function; then, tell Emacs which
directories correspond to the class by using the
‘dir-locals-set-directory-class’ function.  These function calls
normally go in your initialization file (*note Init File::).  This
method is useful when you can’t put ‘.dir-locals.el’ in a directory for
some reason.  For example, you could apply settings to an unwritable
directory this way:




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2020 09:28:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 05:28:09 2020
Received: from localhost ([127.0.0.1]:36228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kU4z2-0001gT-Sw
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 05:28:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:59832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <support1@HIDDEN>) id 1kU4z1-0001gL-Lh
 for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 05:28:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57054)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1kU4z1-0007CY-Dk
 for bug-gnu-emacs@HIDDEN; Sun, 18 Oct 2020 05:28:07 -0400
Received: from static.rcdrun.com ([95.85.24.50]:36509)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1kU4yz-0003yO-6G
 for bug-gnu-emacs@HIDDEN; Sun, 18 Oct 2020 05:28:06 -0400
Received: from localhost ([::ffff:41.210.141.103])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002A0B3D.000000005F8C0A82.00003912; Sun, 18 Oct 2020 09:27:29 +0000
Date: Sun, 18 Oct 2020 12:27:25 +0300
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50;
 Trash files cannot be deleted properly if delete-by-moving-to-trash
 is set
X-Hashcash: 1:20:201018:bug-gnu-emacs@HIDDEN::TAneTq63+B7jmwhn:00000000000000000000000000000000000000004mr+
Message-ID: <courier.000000005F8C0A81.00003912@HIDDEN>
Received-SPF: pass client-ip=95.85.24.50; envelope-from=support1@HIDDEN;
 helo=static.rcdrun.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/18 05:27:30
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


If I set:

trash-directory and delete-by-moving-to-trash

then I cannot delete files in Trash, you can see what is happening,
files may get a backup in Trash directory, but they do not get deleted,
I need to invoke shell command or disable delete-by-moving-to-trash

Best would be when first file is placed into Trash, that Emacs places
there some directory local variable that would disable
delete-by-moving-to-trash when deleting in that directory


In GNU Emacs 28.0.50 (build 18, x86_64-pc-linux-gnu, GTK+ Version 3.22.12, cairo version 1.14.8)
 of 2020-10-14 built on protected.rcdrun.com
Repository revision: 423439b38067c4a428310edab24fba7da082027c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=/package/text/emacs-2020-10-14 --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LC_ALL: de_DE.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
auth-source eieio eieio-core cl-macs eieio-loaddefs password-cache json
map text-property-search time-date subr-x mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils rect delsel cl-seq
image-mode exif vc-git diff-mode easy-mmode view misearch multi-isearch
dired-aux dired dired-loaddefs cus-edit cus-start cus-load wid-edit
cl-extra seq byte-opt gv bytecomp byte-compile cconv cl-print thingatpt
help-fns radix-tree help-mode easymenu cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 107871 10426)
 (symbols 48 9849 1)
 (strings 32 29033 2153)
 (string-bytes 1 849511)
 (vectors 16 15242)
 (vector-slots 8 198702 11716)
 (floats 8 56 149)
 (intervals 56 4869 4)
 (buffers 992 20))

-- 
Thanks,
Jean Louis




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44059; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 28 Oct 2020 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.